Package org.opensaml.saml.saml1.core.impl

# Class AuthorizationDecisionStatementImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectStatementImpl
org.opensaml.saml.saml1.core.impl.AuthorizationDecisionStatementImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthorizationDecisionStatement`, `Statement`, `SubjectStatement`

public class AuthorizationDecisionStatementImpl extends SubjectStatementImpl implements AuthorizationDecisionStatement
A concrete implementation of `AuthorizationDecisionStatement`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Action>`
`actions`
Contains the list of Action elements.
`private DecisionTypeEnumeration`
`decision`
Contains the Decision attribute.
`private Evidence`
`evidence`
Contains the (single) Evidence element.
`private String`
`resource`
Contains the Resource attribute.

### Fields inherited from interface org.opensaml.saml.saml1.core.AuthorizationDecisionStatement

`DECISION_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RESOURCE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthorizationDecisionStatementImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Action>`
`getActions()`
Get the actions.
`DecisionTypeEnumeration`
`getDecision()`
Get the decision.
`Evidence`
`getEvidence()`
Get the evidence.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getResource()`
Get the resource.
`void`
`setDecision(DecisionTypeEnumeration dec)`
Set the decision.
`void`
`setEvidence(Evidence ev)`
Set the evidence.
`void`
`setResource(String res)`
Set the resource.

### Methods inherited from class org.opensaml.saml.saml1.core.impl.SubjectStatementImpl

`getSubject, setSubject`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### resource

@Nullable private String resource
Contains the Resource attribute.

### decision

@Nullable private DecisionTypeEnumeration decision
Contains the Decision attribute.

### actions

@Nonnull private final XMLObjectChildrenList<Action> actions
Contains the list of Action elements.

### evidence

@Nullable private Evidence evidence
Contains the (single) Evidence element.

## Constructor Details

### AuthorizationDecisionStatementImpl

protected AuthorizationDecisionStatementImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getResource

@Nullable public String getResource()
Get the resource.

Specified by:
  `getResource` in interface `AuthorizationDecisionStatement`
Returns:
  the resource

### setResource

public void setResource(@Nullable String res)
Set the resource.

Specified by:
  `setResource` in interface `AuthorizationDecisionStatement`
Parameters:
  `res` - the resource

### getDecision

@Nullable public DecisionTypeEnumeration getDecision()
Get the decision.

Specified by:
  `getDecision` in interface `AuthorizationDecisionStatement`
Returns:
  the decision.

### setDecision

public void setDecision(@Nullable DecisionTypeEnumeration dec)
Set the decision.

Specified by:
  `setDecision` in interface `AuthorizationDecisionStatement`
Parameters:
  `dec` - the decision.

### getActions

@Nonnull @Live public List<Action> getActions()
Get the actions.

Specified by:
  `getActions` in interface `AuthorizationDecisionStatement`
Returns:
  the actions.

### getEvidence

@Nullable public Evidence getEvidence()
Get the evidence.

Specified by:
  `getEvidence` in interface `AuthorizationDecisionStatement`
Returns:
  the evidence

### setEvidence

public void setEvidence(@Nullable Evidence ev)
Set the evidence.

Specified by:
  `setEvidence` in interface `AuthorizationDecisionStatement`
Parameters:
  `ev` - the evidence

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `SubjectStatementImpl`
Returns:
  ordered list of child elements